Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 582446 - <www-client/firefox-48.0 with gcc-6 compilation failure (malloc undeclared and related)
Summary: <www-client/firefox-48.0 with gcc-6 compilation failure (malloc undeclared an...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-05-08 13:15 UTC by Mike Lothian
Modified: 2016-10-14 16:31 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
GCC 6 patch (firefox-gcc-6.0.patch,1.20 KB, patch)
2016-05-08 13:15 UTC, Mike Lothian
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2016-05-08 13:15:53 UTC
Created attachment 433648 [details, diff]
GCC 6 patch

It does with this patch, taken from Fedora
Comment 1 Alex Xu (Hello71) 2016-05-08 23:21:31 UTC
"doesn't compile"?
Comment 2 Felix Janda 2016-05-19 13:11:35 UTC
Attachment 433648 [details, diff] fixes compilation with gcc-6 also for me. (Sorry, I
haven't kept the failing build log.)

The corresponding upstream bug is

https://bugzilla.mozilla.org/show_bug.cgi?id=1245076

and the upstream patch

https://hg.mozilla.org/mozilla-central/rev/55212130f19d

should also fix it. (Have not tested.)
Comment 3 Ben Kohler gentoo-dev 2016-08-04 12:42:21 UTC
The upstream bug has "Target Milestone:	mozilla48", can you test this on the new firefox-48.0 release?
Comment 4 Felix Janda 2016-08-04 20:37:13 UTC
Yes, it is fixed for me with firefox-48.0.
Comment 5 Vadim A. Misbakh-Soloviov (mva) gentoo-dev 2016-08-29 05:13:24 UTC
Maybe somebody close a bug then? :)
Comment 6 Ian Stakenvicius gentoo-dev 2016-08-31 16:37:02 UTC
Reopening this bug with related version info, so that it acts nicely as a tracker for gcc-6 stabilization.
Comment 7 Vadim A. Misbakh-Soloviov (mva) gentoo-dev 2016-08-31 19:02:26 UTC
[offtop]
It'd be nice to firstly get it in the tree at all. Even as ~arch. 
[/offtop]
Comment 8 Ian Stakenvicius gentoo-dev 2016-08-31 19:11:13 UTC
I've just pushed a version of firefox-45.3.0 with the patch backported from upstream, if one of you could test it against gcc6 to see if it builds/runs fine, that would be very much appreciated!
Comment 9 Francesco Turco 2016-09-06 12:03:00 UTC
www-client/firefox-45.3.0 from the official gentoo portage tree still fails to build, while the same package from the mozilla overlay works fine.
Comment 10 Ian Stakenvicius gentoo-dev 2016-09-06 14:23:31 UTC
(In reply to Francesco Turco from comment #9)
> www-client/firefox-45.3.0 from the official gentoo portage tree still fails
> to build, while the same package from the mozilla overlay works fine.

Perfect thanks!  I will apply the patch on mozilla-overlay to the gentoo repo on the next version/revision bump of firefox ESR.
Comment 11 Ian Stakenvicius gentoo-dev 2016-10-14 16:31:08 UTC
Committed to gentoo repo for thunderbird and firefox 45.4.0

Note that cflags adjustments may still be needed to prevent crashes at runtime -- see bug 592840